import QtQuick 2.12
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.2

import org.kde.plasma.core 2.0 as PlasmaCore
import org.kde.plasma.components 2.0 as PlasmaComponents


ApplicationWindow{
    visible: true
    width: 640
    height: 480
    color: "#d66d6d"
    PlasmaComponents.Button{
        x: 256
        y: 216
        width: 128
        height: 48
        text: "Click me"
        visible: true
    }
    PlasmaComponents.TextArea{
        x: 256
        y: 168
        width: 128
        height: 32
        visible: true
    }
    PlasmaComponents.CheckBox{
        x: 352
        y: 25
        width: 32
        height: 32
        visible: true
    }
    PlasmaComponents.ComboBox{
        x: 256
        y: 47
        width: 96
        height: 32
        visible: true
    }

    Text {
        id: element
        x: 247
        y: 0
        text: qsTr("KDE Plasma")
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 27
    }
}
